package stackops

import (
	basetypes "code.apps.glenux.net/glenux/kiwimix/pkg/basetypes"
)

type LoadOperation struct{}

func (op *LoadOperation) Execute(stack *basetypes.CalendarStack, filePath string) error {
	cal, err := basetypes.ParseICSFile(filePath) // hypothetically, ParseICSFile parses an ICS file into a Calendar object
	if err != nil {
		return err
	}
	stack.Push(cal)
	return nil
}
